using System;
using System.Collections.Generic;
using System.Text;

namespace JuSNS.Model
{
    public class EnumClass
    {
        static public string GetFriendDetailType(EnumFriendDetailType type)
        {
            switch (type)
            {
                case EnumFriendDetailType.Schoolmate:
                    return "同学";
                default:
                    return "不认识";
            }
        }
        static public string GetEduGradeName(EnumStudyGrade grade)
        {
            switch (grade)
            {
                case EnumStudyGrade.JuniorHigh:
                    return "初中";
                case EnumStudyGrade.SeniorHigh:
                    return "高中";
                case EnumStudyGrade.College:
                    return "大学";
                case EnumStudyGrade.Master:
                    return "研究生";
                case EnumStudyGrade.Doctor:
                    return "博士";
                default:
                    return string.Empty;
            }
        }
        /// <summary>
        /// 取得邮件通知的值组合，如1,2,3,15,...
        /// </summary>
        /// <returns></returns>
        static public string GetEmailNotifyStr()
        {
            string s = string.Empty;
            foreach (int n in Enum.GetValues(typeof(EnumEmailSet)))
            {
                //if (s != string.Empty)

                s += n.ToString();
                s += ",";
            }
            return s;
        }
        //static public string UserActionDetail()
        //{ 
        //}
    }
}
